geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Donald Woods (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMO-4443) car-maven-plugin does not support the obsoletes attribute for plugins
Date Wed, 03 Dec 2008 16:19:44 GMT
car-maven-plugin does not support the obsoletes attribute for plugins
---------------------------------------------------------------------

                 Key: GERONIMO-4443
                 URL: https://issues.apache.org/jira/browse/GERONIMO-4443
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: car-maven-plugin
    Affects Versions: 2.1.3
            Reporter: Donald Woods
             Fix For: 2.1.4, 2.2


In 2.0, we could provide a <obsoletes> attribute in the geronimo-plugins.xml to specify
that a given plugin replaces other plugins.
When using the c-m-p from 2.1.3, neither of the following in pom.xml work as expected -
                    <commonInstance>
                        <plugin-artifact>
                            <obsoletes>org.apache.geronimo.daytrader/daytrader//car</obsoletes>
                        </plugin-artifact>
                    </commonInstance>

                    <instance>
                        <plugin-artifact>
                            <obsoletes>org.apache.geronimo.daytrader/daytrader//car</obsoletes>
                        </plugin-artifact>
                    </instance>

as either becomes the following in the generated META-INF/geronimo-plugins.xml
        <obsoletes/>

See daytrader/branches/2.1.3/daytrader-tomcat/pom.xml


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message